Subject: Re: Bug#293368: fvwm: 'Mouse 1 T A Move' does not work as expected

From: Manoj Srivastava <[email-masked] (va, manoj)>
Date: Thu, 17 Mar 2005 12:38:26 -0600

Hi,

         [Please retain the CC to [email-masked]
          so that the Debian BTS has a record of your input]

         This was reported by a Debian user.

Package: fvwm
Version: 2.5.12-4
Severity: normal

When you push mouse 1 on title bar and try to move a window the
movement is delayed for a while. Indeed, it appears to wait until
button release, which is very disconcerting.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: alpha
Kernel: Linux 2.4.27-1-generic
Locale: LANG=ru_RU.KOI8-R, LC_CTYPE=ru_RU.KOI8-R (charmap=KOI8-R)

Versions of packages fvwm depends on:
ii  libc6.1                  2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  libfontconfig1           2.2.3-4         generic font configuration library
ii  libfreetype6             2.1.7-2.3       FreeType 2 font engine, shared lib
ii  libfribidi0              0.10.4-6        Free Implementation of the Unicode
ii  libglib1.2               1.2.10-9        The GLib library of C routines
ii  libgtk1.2                1.2.10-17       The GIMP Toolkit set of widgets fo
ii  libice6                  4.3.0.dfsg.1-10 Inter-Client Exchange library
ii  libncurses5              5.4-4           Shared libraries for terminal hand
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libreadline4             4.3-11          GNU readline and history libraries
ii  librplay3                3.3.2-8         Shared libraries for the rplay net
ii  libsm6                   4.3.0.dfsg.1-10 X Window System Session Management
ii  libstroke0               0.5.1-4         support for mouse strokes like tho
ii  libx11-6                 4.3.0.dfsg.1-10 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-10 X Window System miscellaneous exte
ii  libxft2                  2.1.2-6         FreeType-based font drawing librar
ii  libxi6                   4.3.0.dfsg.1-10 X Window System Input extension li
ii  libxpm4                  4.3.0.dfsg.1-10 X pixmap library
ii  libxrender1              0.8.3-7         X Rendering Extension client libra
ii  xlibs                    4.3.0.dfsg.1-8  X Window System client libraries m
ii  zlib1g                   1:1.2.2-3       compression library - runtime

-- 
"It's morally wrong to let a sucker keep his money." Canada Bill Jones
Manoj Srivastava   <[email-masked]>  <http://www.debian.org/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Tavis Ormandy <[email-masked]>
Date: Thu, 17 Mar 2005 19:07:01 +0000

> button release, which is very disconcerting.

This is expected behaviour, the user probably wants something like this:

AddToFunc MoveWindow I Move
Mouse 1 T A MoveWindow

-- 
-------------------------------------
[email-masked] | finger me for my gpg key.
-------------------------------------------------------
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Thu, 17 Mar 2005 14:24:53 -0500

> AddToFunc MoveWindow I Move

The built in binding is:

Mouse 1 T   A FuncFvwmRaiseLowerX
AddToFunc FuncFvwmRaiseLowerX
+ I Raise
+ M Move
+ D Lower

Even with a double click binding in the function and clicktime set
to a high value, Fvwm starts moving the window as soon as
it detects motion.

-- 
Dan Espen                           E-mail: [email-masked]